OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000277OMNeT++IDE / NED editorpublic2011-04-01 15:532011-05-27 15:16
Reporterzbojthe 
Assigned Tolevy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.2b1 
Target VersionFixed in Version 
Summary0000277: same submodule name in extended module - missing the collision error
DescriptionWhen an M2 module extends an M1 module and it has a submodule S1 with same name of any submodule in original M1 module:
The editor shows S1 as T2 in M2, and not signed the name-collision.
The simulation don't show any error when create the network.

example:
  module M1 { submodules: S1: T1 }
  module M2 extends M1 {submodules: S1: T2 }
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-01 15:53 zbojthe New Issue
2011-05-24 12:44 andras Assigned To => levy
2011-05-27 15:16 levy Status new => resolved
2011-05-27 15:16 levy Fixed in Version => 4.2b3
2011-05-27 15:16 levy Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker